Package org.eclipse.net4j.util.ui.views

# Class ValueFormatter

java.lang.Object
org.eclipse.net4j.util.ui.views.ValueFormatter

All Implemented Interfaces:
  `Comparable<ValueFormatter>`

public abstract class ValueFormatter extends Object implements Comparable<ValueFormatter>

Since:
  3.16
Author:
  Eike Stepper

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`ValueFormatter.Factory`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`DEFAULT_PRIORITY`

## Constructor Summary

Constructors
Constructor
Description
`ValueFormatter(String id, String label)`

## Method Summary

Modifier and Type
Method
Description
`abstract boolean`
`canHandle(Object value)`
`final int`
`compareTo(ValueFormatter o)`
`abstract String`
`formatValue(Object value)`
`final String`
`getId()`
`final String`
`getLabel()`
`int`
`getPriority()`
`final String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### DEFAULT_PRIORITY

public static final int DEFAULT_PRIORITY

See Also:
  - Constant Field Values

## Constructor Details

### ValueFormatter

public ValueFormatter(String id, String label)

## Method Details

### getPriority

public int getPriority()

### getId

public final String getId()

### getLabel

public final String getLabel()

### canHandle

public abstract boolean canHandle(Object value)

### formatValue

public abstract String formatValue(Object value) throws Exception

Throws:
  `Exception`

### compareTo

public final int compareTo(ValueFormatter o)

Specified by:
  `compareTo` in interface `Comparable<ValueFormatter>`

### toString

public final String toString()

Overrides:
  `toString` in class `Object`